| Home | Libraries | People | FAQ | More

##### file_posix::open

Open a file at the given path with the specified mode.

###### Synopsis

    void
    open(
        char const* path,
        file_mode mode,
        error_code& ec);

###### Description

###### Parameters

Name | Description
--- | ---
`path` | The utf-8 encoded path to the file
`mode` | The file mode to use
`ec` | Set to the error, if any occurred